{% extends "base.html" %}

{% load static %}

{% block title %} Detail Post {% endblock %}

{% block styles %}

<link rel="stylesheet" type="text/css" href="{% static 'css/detail.css' %}">

{% endblock %}

{% block content %}
<a href="/category/"><button type="button" class="button-back">Back</button></a>
<h1 class="headings text-center">All About {{ detail.pet_name }}</h1>
<hr class="horizontal text-center">
<div class="container">
    <div class="row">
        <div class="col-md-4">
            <div class="photo-container container-fluid text-center">
                {% for photo in photo_list %}
                    {% if photo.pet == detail %}
                        <img src="{{ photo.photo.url }}" alt="pet photo" class="pet-photo"><br>
                    {% endif %}
                {% endfor %}
                <h3 class="pet_name">{{ detail.pet_name }}</h3>
                <p> {{ detail.pet_breed }} - {{ detail.owner_city}}, {{ detail.owner_country }}</p>
            </div>
        </div>
        <div class="data-con col-md-8">
            <div class="data-container container-fluid">
                <div class="pet-container">
                    <h3 class="detail-about"> About </h3>
                    <p class="pet-info">{{ detail.pet_gender }}  - {{ detail.pet_size }}  -  {{ detail.pet_age }}</p>
                    <h6>HEALTH</h6>
                    <p>{{ detail.pet_health }}</p>
                    <h6>ADOPTION FEE</h6>
                    <p>{{ detail.adoption_fee }}</p>
                    <h3 class="detail-desc">Description</h3>
                    <p>{{ detail.description }}</p>
                </div>
            </div>
        </div>
    </div>
</div>

<h1 class="judul-asking text-center">Ask About Pet</h1>
<hr class="horizontal text-center">
<div class="ask-pet-form container-fluid">
    <div class="form-container"><form method="POST">
        {% csrf_token %}
        <div class="row-form row">
            <div class="col-md-4">
                <div class="form-group">
                    <label for="id_name">Name:</label>
                    <input class="form-control" type="text" name="name" maxlength="50" required="" id="id_name">    
                </div>
                <div class="form-group">
                    <label for="id_phone_number">Phone Number:</label>
                    <input class="form-control" type="text" name="phone_number" maxlength="50" required="" id="id_phone_number">    
                </div>
                <div class="form-group">
                    <label for="id_e_mail">E-mail:</label>
                    <input class="form-control" type="email" name="e_mail" maxlength="200" required="" id="id_e_mail">
                </div>
            </div>
            <div class="col-md-8">
                <div class="form-group">
                    <label for="id_message">Message:</label>
                    <textarea class="form-control" name="message" rows="8" maxlength="500" required="" id="id_message"></textarea>
                    <input type="submit" class="button-submit" value="Submit" />
                </div>
            </div>
        </div>
    </form></div>
</div>
<h1 class="message-judul text-center">QnA about {{ detail.pet_name }}</h1>
<hr class="horizontal text-center">
<div class="form-message container-fluid">
    {% for j in ask %}
    <div class="message-sheet">
        <div class="comment row">
            <div class="col-md-4">
                <h5 class="quest-name">{{ j.name }}</h5>
            </div>
            <form action="delete" method="POST" >
            {% csrf_token %}
                <input type="hidden" value="{{ j.id }}" name="id" />
                <input class="button-delete delete" type="submit" value="Delete" />
            </form>
        </div>
        <div class="comment row">
            <div class="col-md-8">
                <p>{{ j.message }}</p>
            </div>
        </div>
    </div>
    {% endfor %}
</div>
{% endblock %}